description

# TreeWalker class Null safety

Annotations
  - @Unstable()
  - @Native("TreeWalker")

## Constructors

TreeWalker(Node root, int whatToShow)
  factory

## Properties

currentNode ↔ Node
  read / write
filter → NodeFilter?
  read-only
hashCode → int
  The hash code for this object. [...]
  read-only, inherited
root → Node
  read-only
runtimeType → Type
  A representation of the runtime type of the object.
  read-only, inherited
whatToShow → int
  read-only

## Methods

firstChild() → Node?
lastChild() → Node?
nextNode() → Node?
nextSibling() → Node?
noSuchMethod(Invocation invocation) → dynamic
  Invoked when a non-existent method or property is accessed. [...]
  inherited
parentNode() → Node?
previousNode() → Node?
previousSibling() → Node?
toString() → String
  Returns a string representation of this object.
  inherited

## Operators

operator ==(Object other) → bool
  The equality operator. [...]
  inherited